Skip to navigation

Bug Fix Advisory selinux-policy bug fix update

Advisory: RHBA-2006:0049-18
Type: Bug Fix Advisory
Severity: N/A
Issued on: 2006-03-07
Last updated on: 2006-03-07
Affected Products: Red Hat Desktop (v. 4)
Red Hat Enterprise Linux AS (v. 4)
Red Hat Enterprise Linux ES (v. 4)
Red Hat Enterprise Linux WS (v. 4)

Details

Updated selinux-policy packages are now available that include policy
changes to allow applications to communicate with each other.

Security-enhanced Linux is a patch of the Linux® kernel and a number of
utilities with enhanced security functionality designed to add mandatory
access controls to Linux. This package contains the SELinux example policy
configuration along with the Flask configuration information and the
application configuration files.

The previous SELinux policy prevented several applications from running
properly. This update introduces policy changes that allow the following:

- init scripts can now use unlabeled file systems
- NetworkManagerInfo can now communicate with dbus
- dbus can now send audit messages
- up2date can now execute init scripts

Users of selinux-policy should upgrade to these updated packages, which
resolve these issues.


Solution

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network. To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

Updated packages

Red Hat Desktop (v. 4)

SRPMS:
selinux-policy-targeted-1.17.30-2.126.src.rpm
File outdated by:  RHBA-2009:1026
    MD5: 6f38aca6dba2e6801b3a2497e1f38a57
 
IA-32:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
x86_64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
Red Hat Enterprise Linux AS (v. 4)

SRPMS:
selinux-policy-targeted-1.17.30-2.126.src.rpm
File outdated by:  RHBA-2009:1026
    MD5: 6f38aca6dba2e6801b3a2497e1f38a57
 
IA-32:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
IA-64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
PPC:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
s390:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
s390x:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
x86_64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
Red Hat Enterprise Linux ES (v. 4)

SRPMS:
selinux-policy-targeted-1.17.30-2.126.src.rpm
File outdated by:  RHBA-2009:1026
    MD5: 6f38aca6dba2e6801b3a2497e1f38a57
 
IA-32:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
IA-64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
x86_64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
Red Hat Enterprise Linux WS (v. 4)

SRPMS:
selinux-policy-targeted-1.17.30-2.126.src.rpm
File outdated by:  RHBA-2009:1026
    MD5: 6f38aca6dba2e6801b3a2497e1f38a57
 
IA-32:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
IA-64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
x86_64:
selinux-policy-targeted-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 15241588b67854f67bdf0a282fef72d4
selinux-policy-targeted-sources-1.17.30-2.126.noarch.rpm
File outdated by:  RHBA-2009:1026
    MD5: 819eedce3772633ed4b4ce3af60d9b74
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

167551 - MySQL rpm installation fails when SELinux is enabled
169999 - avc: denied { create } for pid=8460 comm="nscd" scontext=user_u:system_r:nscd_t tcontext=user_u:system_r:nscd_t tclass=netlink_audit_socket
170057 - OpenAFS on RHEL 4 Update 2
170064 - NetworkManagerInfo cannot talk to dbus
170304 - Cannot run Preference "Removable Storage." Receive and error message stating Volume Management not Supported.
170469 - Error "dbus: Can't send to audit system"
171288 - up2date using console helper going from U1->U2 uses deprecated sysadm_r role
171509 - SELinux prevents nscd from resolving names
172830 - HALD no longer auto-mounts usb devices (as of RHEL4-U2)
172960 - genfs.policy doesn't allow AFS to be mounted
179073 - selinux policy prevents syslog from working properly in RHEL4-U3 candidate



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/